Managing servers remotely

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided on Windows 2000 Professional.

To install Windows 2000 Administration Tools on a local computer, open the I386 folder on the applicable Windows 2000 Server disc, and then double-click the Adminpak.msi file. Follow the instructions that appear in the Windows 2000 Administration Tools Setup wizard. After Windows 2000 Administration Tools is installed, you can access the server administrative tools by clicking Start, pointing to Programs, and then pointing to Administrative Tools.

On Windows 2000 Server, you can use the Software Installation snap-in to deploy Windows 2000 Administration Tools to other computers in your organization in two ways:

  • Assign Windows 2000 Administration Tools to other computers. It is then automatically installed on the remote computers.
  • Publish Windows 2000 Administration Tools in Active Directory. Once this is done, an administrator can use Add/Remove Programs in Control Panel on the remote computer to install it when needed.

The following is a list of the server administrative tools included in Windows 2000 Administration Tools:

  • Active Directory Domains and Trusts
  • Active Directory Schema
  • Active Directory Sites and Services
  • Active Directory Users and Computers
  • Certification Authority
  • Cluster Administrator
  • Connection Manager Administration Kit
  • DHCP
  • Distributed File System
  • DNS
  • Internet Authentication Service
  • Internet Services Manager
  • QoS Admission Control
  • Remote Boot Disk Generator (part of Remote Installation Services)
  • Remote Storage
  • Routing and Remote Access
  • Telephony
  • Terminal Services Manager, Licensing, and Client Connection Manager
  • WINS

For information on how to use the Software Installation snap-in to deploy Windows 2000 Administration Tools to other computers in your organization, see Checklist: Software installation.

Note

  • You must have administrative permissions for the local computer to install and run Windows 2000 Administration Tools.


Managing certification authorities remotely

You can use Certification Authority to manage certification authorities on servers on which Certificate Services is installed. A certification authority is responsible for vouching for the authenticity of public keys belonging to users or other certification authorities. You can use Certification Authority to revoke certificates, change policy settings, see a list of all the certificates issued, and perform other administrative tasks.

You can use Certification Authority to manage certification authorities remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Certification Authority, click Start, point to Programs, point to Administrative Tools, and then click Certification Authority.
  • For information about using Certification Authority, click the Action menu, and then click Help.
  • For more information about Windows 2000 Administration Tools, click Related Topics.

Related Topics


Managing server clusters remotely

A server cluster is a group of independent computer systems working together as a single system to ensure that mission-critical programs and resources remain available to clients. These computers must be running Windows 2000 Advances Server.

You can use Cluster Administrator to manage server clusters remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Cluster Administrator, click Start, point to Programs, point to Administrative Tools, and then click Cluster Administrator.
  • For information about using Cluster Administrator, click the Help menu, and then click Help Topics.


Managing Connection Manager profiles remotely

Connection Manager is a versatile client dialer and connection software that you can customize by using the Connection Manager Administration Kit (CMAK). To use CMAK, you first run the Connection Manager Administration Kit CMAK) wizard, answering the questions and providing the information about your custom elements. The CMAK wizard then builds a service profile, which is a set of files that you distribute to your users so they can easily install and run your custom version of Connection Manager.

You can use the Connection Manager Administration Kit to manage Connection Manager profiles remotely using Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To start the Connection Manager Administration Kit wizard, click Start, point to Programs, point to Administrative Tools, and then click Connection Manager Administration Kit.
  • For information about using Connection Manager Administration Kit, click Help in the Connection Manager Administration Kit wizard.


Managing the Distributed file system remotely

Distributed file system (Dfs) is a single hierarchical file system, the contents of which are distributed across the network. Dfs provides a logical tree structure for file system resources that may be anywhere on the network. Since the Dfs tree is a single point of reference, regardless of the actual location of the underlying resources, you can access network resources based on a meaningful representation of the data. You no longer need to know and specify the actual physical location of files distributed across the network.

You can manage Dfs system remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Distributed file system, click Start, point to Programs, point to Administrative Tools, and then click Distributed File System.
  • For information about using the Distributed file system, click the Action menu, and then click Help.


Managing DHCP servers remotely

Dynamic Host Configuration Protocol (DHCP) is a TCP/IP standard designed to simplify administering address configurations. It uses a server to centrally manage IP addresses and other related configuration details used on your network. The DHCP service enables the server to perform as a DHCP server and configure DHCP-enabled client computers on your network as described in the DHCP standard.

You can manage DHCP servers remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open DHCP, click Start, point to Programs, point to Administrative Tools, and then click DHCP.
  • For information about using DHCP, click the Action menu, and then click Help.


Managing DNS servers remotely

The Domain Name System (DNS) is an Internet and TCP/IP standard name service. The DNS service enables the server to perform as a DNS server, which enables client computers on your network to register and resolve DNS domain names. These names are used to find and access resources offered by other computers on your network or other networks, such as the Internet.

You can manage DNS servers remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open DNS, click Start, point to Programs, point to Administrative Tools, and then click DNS.
  • For information about using DNS, click the Action menu, and then click Help.


Managing Active Directory domains and trusts remotely

Active Directory is the directory service used in Windows 2000 Server. It is the foundation of Windows 2000 distributed networks. You can use Active Directory Domains and Trusts to administer domain trusts, user principal name suffixes, and modes.

You can manage Active Directory remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Active Directory Domains and Trusts, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Domains and Trusts.
  • For information about using Active Directory Domains and Trusts, click the Action menu, and then click Help.


Managing Active Directory users and computers remotely

Active Directory is the directory service used in Windows 2000 Server. It is the foundation of Windows 2000 distributed networks. You can use Active Directory Users and Computers to administer and publish information about users and computers.

You can manage Active Directory remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • For information about using Active Directory Users and Computers, click the Action menu, and then click Help.


Managing Active Directory sites and services remotely

Active Directory is the directory service used in Windows 2000 Server. It is the foundation of Windows 2000 distributed networks. With Active Directory Sites and Services, you can administer the replication of data, including information about domain controllers, sites, replication between sites, and replication of network service configurations.

You can manage Active Directory remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Active Directory Sites and Services, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Sites and Services.
  • For information about using Active Directory Sites and Services, click the Action menu, and then click Help.


Managing IAS servers remotely

Internet Authentication Service (IAS) uses the Remote Authentication Dial-in User Service (RADIUS) protocol to perform remote authentication. With IAS, you can centrally manage the authentication, authorization, and accounting of users. You can also use IAS to authenticate users in databases on your domain controller running Windows NT 4.0 or Windows 2000. IAS works equally well in homogeneous and heterogeneous networks running Windows 2000.

You can manage IAS servers remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that can be used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Internet Authentication Service, click Start, point to Programs, point to Administrative Tools, and then click Internet Authentication Service.
  • For information about using Internet Authentication Service, click the Action menu, and then click Help.


Managing Internet Information Services remotely

Managing Web servers remotely

With Internet Information Manager, you can manage Web servers that have Internet Information Services installed and are running a Web (HTTP) service.

You can use Internet Services Manager to manage Web servers remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Internet Services Manager, click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  • For information about using Internet Services Manager, click the Action menu, and then click Help.


Managing QoS Admission Control servers remotely

With the Admission Control (RSVP) Service you can centrally designate how, when, and by whom subnet resources are used. This is achieved through the Windows 2000 implementation of subnet bandwidth management (SBM) and Quality of Service (QoS).

You can manage QoS Admission Control servers remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open QoS Admission Control, click Start, point to Programs, point to Administrative Tools, and then click QoS Admission Control.
  • For information about using QoS Admission Control, click the Action menu, and then click Help.


Managing RIS servers and clients remotely

You can use Remote Installation Services (RIS) to install copies of the Windows 2000 Professional operating system to clients throughout your organization from a central server. In addition, you can use Remote Boot Disk Generator to create a remote boot disk. A remote boot disk uses a floppy drive on the client to start an operating system installation from a server.

You can manage RIS servers and clients remotely and create remote boot disks using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • Remote Installation Services is administered using the Active Directory Users and Computers snap-in. To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • To run the Remote Boot Disk Generator, click Start, click Run, and enter rbfg.exe.
  • For information about using Remote Installation Services, click Start, click Run, and then type hh risconcepts.chm.


Managing routing and remote access servers remotely

Routing and Remote Access provides multi-protocol LAN-to-LAN, LAN-to-WAN, virtual private network (VPN), and network address translation (NAT) routing services. In addition, Routing and Remote Access also provides dial-up and VPN remote access services.

You can manage routing and remote access servers remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • For information about using Routing and Remote Access, click the Action menu, and then click Help.


Managing Remote Storage remotely

Remote Storage makes it easy for you to extend disk space on your server computer using remote data storage. When the free space on your primary hard disk dips below the needed level, Remote Storage automatically copies infrequently used files on your local volumes to a tape library and frees up space on your hard disks.

You can manage Remote Storage remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Remote Storage, click Start, point to Programs, point to Administrative Tools, and then click Remote Storage.
  • For information about using Remote Storage, click the Action menu, and then click Help.


Managing Active Directory schema

Active Directory is the directory service used in Windows 2000 Server and is the foundation of Windows 2000 distributed networks. The Active Directory schema is the list of definitions that identifies the kinds of objects, and the types of information about those objects, that can be stored in Active Directory. Using the Active Directory Schema snap-in, you can view, manage and extend the schema.

The Active Directory Schema snap-in is part of Windows 2000 Administration Tools, which is included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets. Windows 2000 Administration Tools enables administrators to manage a server remotely from any computer that is running Windows 2000. It contains Microsoft Management Console (MMC) snap-ins and other administrative tools you can use to manage computers running Windows 2000 Server and Active Directory.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can begin managing a remote server from that computer.

Notes

  • To open Active Directory Schema after Windows 2000 Administration Tools is installed, click Start, click Run, and then type schmmgmt. You can also add Active Directory Schema to MMC.
  • For more information about Windows 2000 Administration Tools or MMC files, click Related Topics.


Managing Telephony servers remotely

Telephony Application Programmers Interface (TAPI) in Windows 2000 integrates telecommunications with the computer. It provides client-server voice, data, and video support for standard voice, fax and data calls, IP calls, and multicast video conferencing. This support enables telephony programs installed on Windows 2000 to communicate over phone lines, LANs, WANs, and the Internet.

You can manage Telephony servers remotely using Windows 2000 Administration Tools.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer that is running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Telephony, click Start, point to Programs, point to Administrative Tools, and then click Telephony.
  • For information about using Telephony, click the Action menu, and then click Help.


Managing Terminal Services remotely

Terminal Services adds terminal support to Windows 2000 Server. Terminal Services is a multisession environment that gives remote computers access to a server desktop through "thin client" software. Terminal Services includes Terminal Services Manager and Terminal Services Licensing, administrative tools you can use to manage servers and connections. In addition, Terminal Services includes client software to support Windows-based clients.

You can use Terminal Services Manager and Terminal Services Licensing to manage Terminal Services (running on the server) remotely after you have installed Windows 2000 Administration Tools. In addition, you can run the 32-bit Terminal Services client and manage it using Terminal Services Client Connection Manager.

With Windows 2000 Administration Tools, included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other administrative tools that are used to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open Terminal Services Manager, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Manager. For information about Terminal Services Manager, click the Help menu, and then click Help Topics.
  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing. For information about Terminal Services Licensing, click the Help menu, and then click Contents and Index.
  • To open Terminal Services Client Connection Manager, click Start, point to Programs, point to Administrative Tools, point to Terminal Services Client, and then click Terminal Services Client Connection Manager. For information about Terminal Services Client Connection Manager, click the Help menu, and then click Help Topics.
  • To run the 32-bit Terminal Services client, click Start, point to Programs, point to Administrative Tools, point to Terminal Services Client, and then click Terminal Services Client. For information about running the Terminal Services Client, click Help.


Managing WINS servers remotely

Windows Internet Name Service (WINS) provides a dynamic database service that can register and resolve NetBIOS names to the IP addresses used on your network. Windows 2000 Server includes WINS, which enables the server to act as a NetBIOS name server. The server can register and resolve names for WINS-enabled client computers on your network as described in the NetBIOS over TCP/IP standards.

With Windows 2000 Administration Tools, which is included on the Windows 2000 Server and Windows 2000 Advanced Server compact disc sets, you can manage a server remotely from any computer running Windows 2000. Windows 2000 Administration Tools contains Microsoft Management Console snap-ins and other tools that you can use to manage computers running Windows 2000 Server, and which are not provided with Windows 2000 Professional.

Once Windows 2000 Administration Tools is installed on a computer, an administrator can open the server administrative tools and begin managing a remote server from that computer.

Notes

  • To open WINS, click Start, point to Programs, point to Administrative Tools, and then click WINS.
  • For information about using WINS, click the Action menu, and then click Help.